aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/docker_prepull.sh
diff options
context:
space:
mode:
authorroot <frank.obrien@amdocs.com>2018-12-17 22:14:28 -0500
committerroot <frank.obrien@amdocs.com>2018-12-18 22:53:14 -0500
commit4e255a8449afbfa3020d6e1a4f65f2eb51468fd3 (patch)
tree9ec0d73dc0a239758195aeac2d892c2855cef407 /deploy/docker_prepull.sh
parentb2bb34eba1adece6b7238ee21a5f9f4fe2959b8a (diff)
docker prepull script for c nodes
Change-Id: I24e17ddbc5098401b9fd3113c66f16dd969a8fa9 Issue-ID: LOG-905 Signed-off-by: root <frank.obrien@amdocs.com>
Diffstat (limited to 'deploy/docker_prepull.sh')
-rwxr-xr-xdeploy/docker_prepull.sh80
1 files changed, 80 insertions, 0 deletions
diff --git a/deploy/docker_prepull.sh b/deploy/docker_prepull.sh
new file mode 100755
index 0000000..4df1420
--- /dev/null
+++ b/deploy/docker_prepull.sh
@@ -0,0 +1,80 @@
+#!/bin/bash
+#############################################################################
+#
+# Copyright © 2018 Amdocs.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+#############################################################################
+# LOG-905
+# the manifest is manually maintained and does not drive the image tags in values.yaml
+#
+
+usage() {
+cat <<EOF
+Usage: $0 [PARAMs]
+example
+sudo ./prepull_docker.sh -b casablanca -s nexus.onap.cloud:5000 -v true
+-u : Display usage
+-b [branch] : branch = master or beijing or amsterdam or csablanca (required)
+-s [server] : server = IP or DNS name + port (required)
+-v [true/false] : validate
+EOF
+}
+
+prepull() {
+ sudo curl https://git.onap.org/integration/plain/version-manifest/src/main/resources/docker-manifest.csv?h=$BRANCH > docker-manifest-$BRANCH.csv
+ # login twice - the first one periodically times out
+ sudo docker login -u docker -p docker $SERVER
+ sudo docker login -u docker -p docker $SERVER
+
+ # this line from Gary Wu
+ for IMAGE_TAG in $(tail -n +2 docker-manifest-$BRANCH.csv | tr ',' ':'); do
+ dt="$(date +"%T")"
+ echo "$dt: pulling $IMAGE_TAG"
+ sudo docker pull $SERVER/$IMAGE_TAG
+ done
+}
+
+BRANCH=
+SERVER=nexus3.onap.org:10001
+VALIDATE=false
+
+while getopts ":b:s:v" PARAM; do
+ case $PARAM in
+ u)
+ usage
+ exit 1
+ ;;
+ b)
+ BRANCH=${OPTARG}
+ ;;
+ s)
+ SERVER=${OPTARG}
+ ;;
+ v)
+ VALIDATE=${OPTARG}
+ ;;
+ ?)
+ usage
+ exit
+ ;;
+ esac
+done
+
+if [[ -z $BRANCH ]]; then
+ usage
+ exit 1
+fi
+
+prepull $BRANCH $SERVER
+